### Class

# Camel TextIndex

#### Description

    class Camel.TextIndex : Camel.Index
    {
      CamelTextIndexPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelIndex
- GObject

#### Constructors

###### camel_text_index_new

No description available.

#### Functions

###### camel_text_index_check

No description available.

###### camel_text_index_remove

No description available.

###### camel_text_index_rename

No description available.

#### Instance methods

###### camel_text_index_dump

No description available.

###### camel_text_index_info

No description available.

###### camel_text_index_validate

No description available.

##### Methods inherited from CamelIndex (13)

###### camel_index_add_name

No description available.

###### camel_index_compress

No description available.

###### camel_index_construct

No description available.

###### camel_index_delete

No description available.

###### camel_index_delete_name

Deletes the given `name` from `index`.

###### camel_index_find

No description available.

###### camel_index_find_name

No description available.

###### camel_index_has_name

No description available.

###### camel_index_rename

No description available.

###### camel_index_set_normalize

No description available.

since: 2.32

###### camel_index_sync

No description available.

###### camel_index_words

No description available.

###### camel_index_write_name

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelTextIndexClass {
      CamelIndexClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelIndexClass`

  No description available.

`reserved: gpointer`

  No description available.